REST APIEnterprise

POST

Path Params

  • enterpriseId string required

    matches ^[0-9a-f]{32}$

Body Params

object

  • duration string number required
    Seconds to freeze the enterpise for

    Defaults to 3600

Responses

200
OK

Response Body

object

  • time string date-time
    When the freeze started
  • expires string date-time
    When the freeze will end
  • reason string
    The reason the entity was frozen
  • frozenBy string
    The user that froze the entity
  • unFrozenBy string
    The user that unfroze the entity
400
Bad Request

Response Body

ONE OF

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
401
Unauthorized
No response body